#pragma once

#include <essentials/types.h>

using namespace Essentials;

namespace Image
{
	float* DiscreteFourierTransform(byte* input, uint16 width, uint16 height); // input must be R8, output is RG32
	float* InverseDiscreteFourierTransform(float* input, uint16 width, uint16 height);
	float* DiscreteFourierTransform_Separable(byte* input, uint16 width, uint16 height); // input must be R8, output is RG32
	float* InverseDiscreteFourierTransform_Separable(float* input, uint16 width, uint16 height);
}
