#pragma once

#include <essentials/types.h>

using namespace Essentials;

namespace Image
{
	struct Format { enum TYPE { Unknown, R8, RG8, RGB8, RGBA8, R32, RG32, DXT1, DXT5 }; };

	struct Filter { enum TYPE { Box, BiCubic, Bilinear, BSpline, CatmullRom, Lanczos3 }; };

	struct Mipmap
	{
		byte* data;
		uint16 width, height;
	};
}
