#pragma once

#include "types.h"
#include "vector.h"

namespace Math
{
	Vector2 Solve2x2(const Vector2& p1, const Vector2& p2);

	//

	inline Vector2 Solve2x2(const Vector2& p1, const Vector2& p2)
	{
		float a = (p1.y - p2.y) / (p1.x - p2.x);
		float b = p1.y - a*p1.x;

		return VectorCustom(a, b);
	}
}
