#pragma once

namespace Math
{
	struct Vector2
	{
		float x, y;
	};

	struct Vector3
	{
		float x, y, z;
	};

	struct Vector4
	{
		float x, y, z, w;
	};

	struct Quaternion
	{
		float x, y, z, w;
	};

	struct Plane
	{
		float a, b, c, d;
	};

	struct Matrix
	{
		union
		{
			float _[4][4];
			struct
			{
				Vector4 x, y, z, w;
			};
		};
	};

	struct ZRange { enum TYPE { ZeroToOne, MinusOneToPlusOne }; };
}
